Using float variables and constraints
Functionality by programming task » Programming models

## Topics

| Variable arrays
| Domain constraints
| Simple relation constraints over float variables
| Arithmetic constraints
| Linear constraints over float variables
| Channel constraints
| Synchronized execution
| Branching on float variables

## Enumerations

enum | Gecode::FloatRelType { Gecode::FRT_EQ , Gecode::FRT_NQ , Gecode::FRT_LQ , Gecode::FRT_LE , Gecode::FRT_GQ , Gecode::FRT_GR }
| Relation types for floats. More...

## Detailed Description

## Enumeration Type Documentation

## FloatRelType

enum Gecode::FloatRelType

Relation types for floats.

Enumerator
FRT_EQ | Equality ( ).
FRT_NQ | Disequality ( ).
FRT_LQ | Less or equal ( ).
FRT_LE | Less ( ).
FRT_GQ | Greater or equal ( ).
FRT_GR | Greater ( ).

Definition at line 1068 of file float.hh.